package com.steerinfo.baseinfo.meterbaseloadpoint.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbaseloadpoint.model.MeterBaseLoadPoint;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * MeterBaseLoadPoint服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-14 08:40
 * 类描述
 * 修订历史：
 * 日期：2020-10-14
 * 作者：generator
 * 参考：
 * 描述：MeterBaseLoadPoint服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseLoadPointService extends IBaseService<MeterBaseLoadPoint, String>{
    String checkandadd(MeterBaseLoadPoint model);

    String checkandupdate(String id, MeterBaseLoadPoint model);

    String Recovery(List<MeterBaseLoadPoint> models);

    String abolish(List<MeterBaseLoadPoint> models);

    List<MeterBaseLoadPoint> queryAll(Map<String,Object> parmas);
}